Incident Notes
curl --request GET \
--url https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notesimport requests
url = "https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes")
.asString();require 'uri'
require 'net/http'
url = URI("https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"cursor": "<string>",
"notes": [
{
"noteId": "<string>",
"type": "CALL_COMPLETED",
"note": "<string>",
"critical": true,
"createdAt": "<string>"
}
]
}{
"message": "<string>"
}CAD Integration
Incident Notes
Get any CAD notes the system has generated for a Call.
This endpoint is intended to be used by CADs that prefer to poll for Notes instead of receiving them via push.
GET
/
realtime
/
v1
/
cad
/
incident
/
{callId}
/
notes
Incident Notes
curl --request GET \
--url https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notesimport requests
url = "https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes")
.asString();require 'uri'
require 'net/http'
url = URI("https://realtime.govworx.net/realtime/v1/cad/incident/{callId}/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"cursor": "<string>",
"notes": [
{
"noteId": "<string>",
"type": "CALL_COMPLETED",
"note": "<string>",
"critical": true,
"createdAt": "<string>"
}
]
}{
"message": "<string>"
}Path Parameters
Unique ID of the Assist Call to pull notes for.
Query Parameters
When omitted on a request, the response will contain the earliest note up to some maximum. The response will
also contain a cursor value. When sent on subsequent requests, only notes beyond the cursor will be sent. This
allows for both paging operations and continual polling to work without sending the same set of notes every time.
Response
Response contains notes generated for the incident.
⌘I

